UpdatePipeline
Updates an existing pipeline in the specified workspace. Only the fields provided in the request are updated; fields not included in the request are preserved unchanged. You can update the pipeline description, environment variables, and the list of compute nodes independently.
Request Syntax
PUT /workspaces/workspaceName/pipelines/pipelineName HTTP/1.1
Content-type: application/json
{
"computations": [
{
"computeNodeName": "string",
"dependsOn": [ "string" ],
"environmentVariables": {
"string" : "string"
},
"taskName": "string"
}
],
"description": "string",
"environmentVariables": {
"string" : "string"
}
}
URI Request Parameters
The request uses the following URI parameters.
- pipelineName
-
The name of the pipeline to update.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-zA-Z0-9_-]+Required: Yes
- workspaceName
-
The name of the workspace.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$Required: Yes
Request Body
The request accepts the following data in JSON format.
- computations
-
Updated list of compute nodes forming the pipeline DAG.
Type: Array of ComputeNode objects
Array Members: Minimum number of 0 items. Maximum number of 50 items.
Required: No
- description
-
A new description for the pipeline.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
[^\u0000-\u001F\u007F]+Required: No
- environmentVariables
-
Updated environment variables shared across all compute nodes.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 20 items.
Key Length Constraints: Minimum length of 1. Maximum length of 255.
Key Pattern:
(?!(?i)AWS_)[a-zA-Z_][a-zA-Z0-9_]*Value Length Constraints: Minimum length of 0. Maximum length of 1024.
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"status": {
"error": {
"code": "string",
"message": "string"
},
"state": "string"
},
"version": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- status
-
The current lifecycle status of the pipeline.
Type: ResourceStatus object
- version
-
The new version of the pipeline created by this update.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 10.
Pattern:
^(0|([1-9]{1}\d*))$
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Access is denied.
HTTP Status Code: 403
- ConflictingOperationException
-
Your request has conflicting operations. This can occur if you're trying to perform more than one operation on the same resource at the same time.
- resourceArn
-
The ARN of the resource that conflicts with this operation.
- resourceId
-
The ID of the resource that conflicts with this operation.
HTTP Status Code: 409
- InternalFailureException
-
AWS IoT SiteWise can't process your request right now. Try again later.
HTTP Status Code: 500
- InvalidRequestException
-
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.
HTTP Status Code: 400
- LimitExceededException
-
You've reached the quota for a resource. For example, this can occur if you're trying to associate more than the allowed number of child assets or attempting to create more than the allowed number of properties for an asset model.
For more information, see Quotas in the AWS IoT SiteWise User Guide.
HTTP Status Code: 410
- ResourceNotFoundException
-
The requested resource can't be found.
HTTP Status Code: 404
- ThrottlingException
-
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.
For more information, see Quotas in the AWS IoT SiteWise User Guide.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: